# Visualization
TKService
AlienImage

# AlienImage_AidaAlienImage Class Reference

This class defines an Aida Alien image ( BYTEMAPS ).
.

`#include <AlienImage_AidaAlienImage.hxx>`

Inheritance diagram for AlienImage_AidaAlienImage:

[legend]

## Public Member Functions

Standard_EXPORT | AlienImage_AidaAlienImage ()
Standard_EXPORT void | Clear ()
| Frees memory allocated by AidaAlienImage .
Standard_EXPORT Handle_Image_Image | ToImage () const
| convert a AidaAlienImage object to a Image object.
Standard_EXPORT void | FromImage (const Handle(Image_Image)&anImage)
| convert a Image object to a AidaAlienImage object.
Standard_EXPORT Standard_Boolean | Read (OSD_File &afile)
| Read content of a AidaAlienImage object from a file . Returns True if file is a Aida file . .
Standard_EXPORT Standard_Boolean | Write (OSD_File &afile) const
| Write content of a AidaAlienImage object to a file . .
Standard_EXPORT void | SetColorImageDitheringMethod (const Image_DitheringMethod aMethod, const Handle(Aspect_ColorMap)&aColorMap)
| Set the ImageDitheringMethod and the ColorMap when FromImage is called with a ColorImage . Aida BYTEMAPS file handle only PseudoColorImage . Default value is DM_NearestColor, ColorCubeColorMap( 40, 5,1, 8,6, 3,54 ) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_AlienImage_AidaAlienData | myData

## Constructor & Destructor Documentation

Standard_EXPORT AlienImage_AidaAlienImage::AlienImage_AidaAlienImage | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void AlienImage_AidaAlienImage::Clear | ( |  | ) |

Standard_EXPORT void AlienImage_AidaAlienImage::FromImage | ( | const Handle(Image_Image)& | anImage | ) | `[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT const AlienImage_AidaAlienImage::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AlienImage_AlienUserImage.

Standard_EXPORT Standard_Boolean AlienImage_AidaAlienImage::Read | ( | OSD_File & | afile | ) | `[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT void AlienImage_AidaAlienImage::SetColorImageDitheringMethod | ( | const Image_DitheringMethod | aMethod,
|  | const Handle(Aspect_ColorMap)& | aColorMap
| ) |

Standard_EXPORT Handle_Image_Image AlienImage_AidaAlienImage::ToImage | ( |  | ) | const`[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT Standard_Boolean AlienImage_AidaAlienImage::Write | ( | OSD_File & | afile | ) | const`[virtual]`

| Implements AlienImage_AlienUserImage.

## Field Documentation

Handle_AlienImage_AidaAlienData AlienImage_AidaAlienImage::myData `[private]`

The documentation for this class was generated from the following file:

- AlienImage_AidaAlienImage.hxx